#!/usr/bin/perl
 
###############################################################
# POP3 Mail Reader                                            #
#   written by Michel Komarov ( http://iCoder.com ) Dec 2005  #
###############################################################

# pop3 mail server connection parameters
$mailHost = "yourdomain.com";
$mailUser = "username";
$mailPassword = "password";

# Database connection parameters
$dbName = "responder";
$dbUser = "responder";
$dbPass = "password";
$dbHost = "localhost";


###############################################################
# YOU SHOULD NOT NEED TO CHANGE ANYTHING BELOW THIS LINE      #
###############################################################
print "Content-type: text/html\n\n";

use DBI();
use Net::POP3;
$pop = Net::POP3->new($mailHost);
if ($pop) {
	$msgs_number = $pop->login($mailUser, $mailPassword);
	#print "<pre>Messages: $msgs_number\n";
	if ($msgs_number > 0) {
		my $dbh = DBI->connect("DBI:mysql:database=$dbName;host=$dbHost", "$dbUser", "$dbPass") or die("");
		for ($i = 1; $msgs_number >= $i; ++$i) {
			undef $more_to;
			undef $to_both;
			undef $subject;
			undef $return_path;
			undef $from_both;
			undef $reply_both;
			undef $bounce_tag;
			undef $bounce_mail;
			$msg = $pop->get($i);
			foreach my $line (@{$msg}) {
				if ($more_to) {
					chomp($line);
					$to_both .= $line;
					if ($line =~ /,$/) { $more_to = 1; }
					else { $more_to = 0; }
				}
				if (($line =~ /^Subject: /) and ($subject eq '')) {
					$subject = $line;
					chomp ($subject);
					$subject =~ s/Subject: //;
				}
				if (($line =~ /^Return-Path: /i) and ($return_path eq '')) {
					$return_path = $line;
					chomp ($return_path);
					$return_path =~ s/Return-Path: //i;
				}
				if (($line =~ /^From: /) and ($from_both eq '')) {
					$from_both = $line;
					chomp ($from_both);
					$from_both =~ s/From: //;
				}
				if (($line =~ /^To: /) and ($to_both eq '')) {
					$to_both = $line;
					chomp ($to_both);
					$to_both =~ s/To: //;
					if ($line =~ /,$/) { $more_to = 1; }
				}
				if (($line =~ /^Reply-To: /) and ($reply_both eq '')) {
					$reply_both = $line;
					chomp ($reply_both);
					$reply_both =~ s/Reply-To: //;
				}
				if (($line =~ /^Final-Recipient: /) and ($bounce_mail eq '')) {
					$bounce_mail = &ExtractEmail($line);
				}
				if (($line =~ /^X-Actual-Recipient: /) and ($bounce_mail eq '')) {
					$bounce_mail = &ExtractEmail($line);
				}
				if (($line =~ /^Original-Recipient: /) and ($bounce_mail eq '')) {
					$bounce_mail = &ExtractEmail($line);
				}
				if (($line =~ / Recipient address rejected:/) and ($bounce_mail eq '')) {
					$bounce_mail = &ExtractEmail($line);
				}
				if (($line =~ /^X-Return: /) and ($bounce_tag eq '')) {
					$bounce_tag = $line;
					chomp ($bounce_tag);
					$bounce_tag =~ s/X-Return: //;
				}
			} # foreach my $line (@{$msg})
			#print "POP3 $i: From: $from_both; Return-Path: $return_path; To: $to_both; Subj: $subject\n";
			$to_both =~ s/ //g;
			$to_both =~ s/\s//g;
			@bounce_mailer_list = split(/,/, 'MAILER-DAEMON,Postmaster');
			my $from_bounce = 0;
			foreach my $this_bounce_mailer (@bounce_mailer_list) {
				if ((! $bounce_tag eq '') and (
						($from_both =~ /$this_bounce_mailer/i) or
						($return_path =~ /$this_bounce_mailer/i)
					)) {
					my ($user_id, $subs_email) = split(/;/,$bounce_tag);
					$subs_email = &ExtractEmail($subs_email);
					$dbh->do("UPDATE `subscribers` SET subscribers_trouble_mailing = '1', subscribers_sent_log = CONCAT(subscribers_sent_log,CURDATE(),'|Bounced email.\n') WHERE subscribers_user_id = '$user_id' AND subscribers_email = '$subs_email'");
					$from_bounce = 1;
				}
				elsif ((! $bounce_mail eq '') and (
						($from_both =~ /$this_bounce_mailer/i) or
						($return_path =~ /$this_bounce_mailer/i)
					)) {
					my ($username,$domain) = split(/@/,&ExtractEmail($to_both));
					if ($domain eq $mailHost) {
						$dbh->do("UPDATE `subscribers`, `users` SET subscribers.subscribers_trouble_mailing = '1', subscribers.subscribers_sent_log = CONCAT(subscribers_sent_log,CURDATE(),'|Bounced email.\n') WHERE subscribers_user_id = users_id AND subscribers_email = '$bounce_mail' AND users_username = '$username'");
						$from_bounce = 1;
					}
				}
				elsif (($return_path =~ /$this_bounce_mailer/i) or ($from_both =~ /$this_bounce_mailer/i)) {
					$from_bounce = 1;
				}
			} # foreach my $this_bounce_mailer (@bounce_mailer_list)
			#print "Bounce: $from_bounce $bounce_mail\n";
			$to_email = &ExtractEmail($to_both);
			$from_name = &ExtractName($from_both);
			$from_email = &ExtractEmail($from_both);
			$reply_name = &ExtractName($reply_both);
			$reply_email = &ExtractEmail($reply_both);
			$reply_email = lc($reply_email);
			$reply_email = $from_email if (! $reply_email);
			$reply_name = $from_name if (! $reply_name);
			my (undef,$domain) = split(/@/,$reply_email);
			if ((!$from_bounce) and $reply_email and $to_email and ($domain ne $mailHost)) {
				my ($username, $domain) = split(/@/,$to_email);
				if ($domain eq $mailHost) {
					my $sth = $dbh->prepare("SELECT COUNT(*) AS count FROM `users`, `subscribers` WHERE subscribers_user_id = users_id AND users_username = '$username' AND subscribers_email = '$reply_email'");
					$sth->execute();
					if (my $row = $sth->fetchrow_hashref()) {
						if (0 == $row->{'count'}) {
							$sth = $dbh->prepare("INSERT INTO `subscribers` (subscribers_user_id, subscribers_name, subscribers_email, subscribers_join_date, subscribers_header) SELECT users_id, ? AS subscribers_name, ? AS subscribers_email, NOW() AS subscribers_join_date, ? AS subscribers_header FROM `users` WHERE users_username = ?");
							$head = $pop->top($i);
							$sth->execute($reply_name, $reply_email, join("",@{$head}), $username);
							#print "ADD: $reply_name $reply_email => $username\n";
						}
					}
				}
			} # if (! $from_bounce)
			$pop->delete($i);
			#print "POP3 delete: $i\n";
		} # for ($i = 1; $msgs_number >= $i; ++$i)
		$dbh->disconnect();
	}
	$pop->quit();
}
exit;

sub ExtractEmail {
    my($line) = @_;
    my($result);
    my($em);

    if ($line =~ /([a-zA-Z_.\-0-9]+\@{1}[a-zA-Z_.\-0-9]+)/) {
        $em = $1;
    } # if

    $result = &Trim($em);

    return $result;
} # sub ExtractEmail

sub ExtractName {
    my($line) = @_;
    my($result) = @_;
    my($em);

    if ($line =~ /([a-zA-Z_.\-0-9<]+\@{1}[a-zA-Z_.\-0-9>]+)/) {
        $em = $1;
    } # if

    $line =~s/$em//g;
    $line =~s/\"//g;

    $result = &Trim($line);

    return $result;
} # sub ExtractName

sub Trim {
    my($in) = @_;
    my $result = $in;
    $result =~ s/^\s+//;
    $result =~ s/\s+$//;
    return $result;
} # sub Trim

