<?php
// Sends broadcast messages
// Set CRON for each 5 minutes
// Written by Michel Komarov http://icoder.com (2005-12-13)
function error_page($error_message) { return "$error_message"; } 
	$bunchSize = 300;
	$bunchPause = 60; //sec
	$bunchInterval = 600; //sec (from CRON timing)
	$cron_file = "../temp/broadcast.cron";
	if (file_exists($cron_file)) {
		$cron = file_get_contents($cron_file);
		if ((5 * $bunchInterval) + $cron > time()) exit;
	}
	if ($fh = fopen($cron_file, "w")) {
		fputs($fh, time());
		fclose($fh);
	}

	require("../include/globals.php");
	require("../include/db_mysql.php");
	require("../include/phpmailer.php");
	require("../include/mail.php");

	set_time_limit(0);
	$db = new DB_Sql;
	$db2 = new DB_Sql;

	$queryWhere = "FROM broadcastmessages
					WHERE 
					broadcastmessages_delivery_date <= NOW() AND
					broadcastmessages_sent = '0' ";
	$db->query("SELECT * $queryWhere");
	if (($count = $db->num_rows()) > 0) {
		if ($fh = fopen("../temp/broadcast.log", "a")) {
			fputs($fh, "\n".date("Y-m-d H:i:s")." Messages: $count\n");
			fclose($fh);
		}
	}
	$msg = 0;
	while ($db->next_record()) {
		if (0 == ((++$msg) % $bunchSize)) {
			if ($fh = fopen("../temp/broadcast.log", "a")) {
				fputs($fh, "\t$msg sent\n");
				fclose($fh);
			}
			if ($fh = fopen($cron_file, "w")) {
				fputs($fh, time());
				fclose($fh);
			}
			sleep($bunchPause);
		}
		$broadcast_message_id = $db->f("broadcastmessages_id");

		$error = SendBroadcastMessage($broadcast_message_id);
		if ($error) {
			if ($fh = fopen("../temp/broadcast.log", "a")) {
				fputs($fh, " $error.");
				fclose($fh);
			}
		}

		$db2->query("UPDATE broadcastmessages
						SET broadcastmessages_sent = '1'
						WHERE broadcastmessages_id = '$broadcast_message_id'");
	}
	unlink($cron_file);
	if ($count > 0) {
		if ($fh = fopen("../temp/broadcast.log", "a")) {
			fputs($fh, "\t$msg Sent.\n");
			fclose($fh);
		}
	}
?>
