
<table cellSpacing="0" cellPadding="5" width="600" border="0" align="center">
<tr vAlign="center" align="middle" height="25">
	<td align="middle" align="center" height="40" width="70%" colSpan="2">
		<h3>Help</h3>
	</td>
	<td align="middle" align="right" width="30%">
		User logged in: <br><b>{USER_NAME}</b>
	</td>
</tr>
</table>

<table cellSpacing="1" cellPadding="7" width="600" border="0" align="center" bgColor="#aaaaaa" >

<!-- HOME -->
<tr>
	<td align="left" valign="top" bgColor="#FFFFFF" colSpan="2">
		<a href="controlpanel.php">Home</a>&nbsp;|
		<a href="campaigns.php">Campaigns</a>&nbsp;|		
		<a href="messages.php">Autoresponders</a>&nbsp;|
		<a href="newsletters.php">Newsletters</a>&nbsp;|
		<a href="prospects.php">Prospects</a>&nbsp;|
		<a href="medialibrary.php">Media (File) Library</a>&nbsp;|
		<a href="account.php">Account</a>&nbsp;|
		<b>Help</b>&nbsp;|
		<a href="logout.php">Logout</a>&nbsp;
	</td>
</tr>

<!-- Help -->
<tr valign="top">
	<td align="left" width="25%" bgColor="white">
		<a href="help.php?section=campaigns">Help on Campaigns</a><br>
		<a href="help.php?section=autoresponders">Help on Autoresponders</a><br>
		<a href="help.php?section=newsletters">Help on Newsletters</a><br>
		<b>Help on Prospects</b><br>
		<a href="help.php?section=medialibrary">Help on Media (File) Library</a><br>
		<a href="help.php?section=account">Help on Account</a><br><br>
	</td>
	<td bgColor="white">
		<li>How to add a new prospect/subscriber</li>
		<li>How to <a href="help.php?section=import">import</a> your existing list of prospects into autoresponder</li>
		<li>How to search a prospect</li>
		<li>How to remove the prospect</li>
		<li>How to inactivate the prospect</li>
		<li>How to look at the prospect subscription details</li>
		<li>How to list all unconfirmed prospects</li>
		<li>How to list the inactivated prospects</li>
		<li>How to re-activate all prospects</li>
		<li>How to list the prospects with email delivering problems</li>
		<li>How to purge the undeliverables list</li>
		<li>How to track where your prospects came from and where did they hear about you</li>
		<li>How to add new predefined variables to use inside messages</li>
		<li>How to remove old predefined variable</li>
		<li>How to generate the opt-in subscription form</li>
		<li>How to redirect to a special HTML page after a subscriber complete the signup process</li>
		<li>How to subscribe people to several campaigns from a form</li>
	</td>
</tr>
<tr valign="top">
	<td bgColor="white" colspan="2">
		<li>To add a new prospect open the "Active Prospects" section <b style="color:red">( 1 )</b> and fill the form out.<br>
		Enter the prospect name <b style="color:red">( 2 )</b> and the prospect email <b style="color:red">( 3 )</b>.
		Then click the "Add Prospect" button <b style="color:red">( 4 )</b>.</li>
		<li><b>To <a href="help.php?section=import">import</a> your existing list</b> of prospects into autoresponder
		open the "Active Prospects" section <b style="color:red">( 1 )</b></li>.
		Point the file with your prospects list <b style="color:red">( 5 )</b>
		and click the "Add Prospect" button <b style="color:red">( 6 )</b>.<br>
		Note. Your prospects list should be a TEXT file with names and emails are separated
		by 'vertical line' symbol ( <big><b>|</b></big> )<br>
		or a CSV file with names and emails are separated by comma or semicolon.<br>
		One prospect should be placed per
		line:<pre>John Doe|john@mail.com<br>mr. Smith|smith@mail.com</pre>
		<br>
		<img src="images/prospects-1.gif">
		<br>
		<li>To search a prospect open the "Mailing List" section <b style="color:red">( 7 )</b> and fill the search form out.<br>
		You can enter the date range <b style="color:red">( 8 )</b>,
		prospect's name or name fragment <b style="color:red">( 9 )</b>,<br>
		prospect's email or email fragment <b style="color:red">( 10 )</b>
		and click the "Search!" button <b style="color:red">( 11 )</b>.</li>
		<li>To remove the prospect check the checkbox <b style="color:red">( 12 )</b> of the prospect<br>
		and click the "Delete Selected Prospects" button <b style="color:red">( 13 )</b>.</li>
		<li>To inactivate the prospect check the checkbox <b style="color:red">( 12 )</b> of the prospect<br>
		and the "Remove from active prospects only" checkbox <b style="color:red">( 14 )</b>.
		Then click the "Delete Selected Prospects" button <b style="color:red">( 13 )</b>.<br>
		You can see the current status of the prospect <b style="color:red">( 15 )</b> for each line.</li>
		<li>To look at the prospect subscription details click the status link <b style="color:red">( 15 )</b>.</li>
		<br>
		<img src="images/prospects-2.gif">
		<br>
		<li>To list all unconfirmed prospects open the "Unconfirmed Prospects" section <b style="color:red">( 16 )</b>.<br>
		You can see the unconfirmed prospects list <b style="color:red">( 17 )</b> there.</li>
		<br>
		<img src="images/prospects-3.gif">
		<br>
		<li>To list the inactivated prospects open the "Removals" section <b style="color:red">( 18 )</b>.<br>
		You can see the inactivated prospects list <b style="color:red">( 19 )</b> there.</li>
		<li>To re-activate all prospects click the "Reset!" button <b style="color:red">( 20 )</b>.</li>
		<br>
		<img src="images/prospects-4.gif">
		<br>
		<li>To list the prospects with email delivering problems open the "Undeliverables" section <b style="color:red">( 21 )</b>.<br>
		You can see the undeliverables list <b style="color:red">( 22 )</b> there.</li>
		<li>To purge the undeliverables list click the "Purge List!" button <b style="color:red">( 23 )</b>.</li>
		<br>
		<img src="images/prospects-5.gif">
		<br>
		<li>To track where your prospects came from open the "Tracking" section <b style="color:red">( 24 )</b>.<br>
		You can see the list of links <b style="color:red">( 25 )</b> to pages your prospects came from and the list of answers where did they hear about you.</li>
		<br>
		<img src="images/prospects-6.gif">
		<br>
		<li>To add new predefined variables to use inside messages open the "Variables" section <b style="color:red">( 26 )</b><br>
		and fill the search form out. Enter the variable name <b style="color:red">( 27 )</b>,
		variable value <b style="color:red">( 28 )</b> and click the "Add Variable" button <b style="color:red">( 29 )</b>.</li>
		<li>To remove old predefined variable check the checkbox <b style="color:red">( 30 )</b> of the variable<br>
		and click the "Delete Selected Variables" button <b style="color:red">( 31 )</b>.</li>
		<br>
		<img src="images/prospects-7.gif">
		<br>
		<li>To generate the opt-in subscription form open the "HTML form" section <b style="color:red">( 32 )</b> and fill the form.<br>
		The simplest subscription form contains Name and Email fields only.
		You can add extra fields into your form.<br>
		Check the boxes <b style="color:red">( 34 )</b> you'd like and
		click the "Generate Form" <b style="color:red">( 36 )</b> button.<br>
		You'll find the HTML-code <b style="color:red">( 37 )</b> of your subscription form there.<br>
		You can click the "Select All" button <b style="color:red">( 38 )</b> to copy <small>(Ctrl-C)</small>
		the code into clipboard and paste <small>(Ctrl-V)</small> it onto your page.</li>
		<li>To redirect to a special HTML page after a subscriber complete the signup process<br>
		enter the HTML page URL <b style="color:red">( 33 )</b> and
		click the "Generate Form" button <b style="color:red">( 36 )</b>.<br>
		Then copy the HTML-code <b style="color:red">( 37 )</b> and paste it onto your page.</li>
		<li>To subscribe them to additional campaigns at the same time
		check the boxes of the campaigns <b style="color:red">( 35 )</b> you'd like.<br>
		Then click the "Generate Form" <b style="color:red">( 36 )</b> button.</li>
		<br>
		<img src="images/prospects-8.gif">
	</td>
</tr>
<tr>
	<td align="left" valign="top" bgColor="#FFFFFF" colSpan="2">&nbsp;
	</td>
</tr>

</table>
