<?php
	require("include/globals.php");
	require("include/db_mysql.php");
	require("include/template.php");
	require("include/functions.php");
	require("include/validation.php");
	require("include/phpmailer.php");
	require("include/mail.php");
		
	$db = new DB_Sql;

	// obtinem datele despre noul subscris:	$email, $name
	if (!isset($name))
		error_page("You must specify a name");
	if (!isset($email))
		error_page("You must specify an e-mail address");

	$email = trim($email);
	$name  = ucwords(trim($name));
	AssumeIsNotEmpty($name, "You must specify a name");
	AssumeIsString($name, "Your name is not a valid string");
	AssumeIsNotEmpty($email, "You must specify an e-mail address");
	AssumeIsString($email, "Your e-mail address is not a valid string");
	AssumeIsEmailAddress($email, "Your e-mail address is not a valid e-mail address");
	AssumeIsNotEmpty($user_id, "User ID is invalid");
	AssumeIsNumber($user_id, "User ID is invalid");

	$came_from = isset($HTTP_REFERER)? $HTTP_REFERER: "";
	$ip = getenv("REMOTE_ADDR");
	if (!isset($address))        $address = "";
	if (!isset($city))           $city = "";
	if (!isset($state))          $state = "";
	if (!isset($zip))            $zip = "";
	if (!isset($country))        $country = "";
	if (!isset($where_did_hear)) $where_did_hear = "";

$campaigns_id = array($user_id);
if (isset($extra_id)) {
	if (is_array($extra_id)) {
		$campaigns_id = array_merge(array($user_id), $extra_id);
	} else {
		$campaigns_id = array($user_id, $extra_id);
	}
}
foreach ($campaigns_id as $user_id) {
	//subscribe confirmation?
	$subscribers_active = 1;
	$query="select * from users where users_id='$user_id'";
	$db->query($query);
	$db->next_record();
	$from_email = $db->f("users_email");
	$from_name = $db->f("users_name");
	$campaign = $db->f("users_username") ."@$SiteName";
	if ($db->f("users_campaign_confirm") == 1) { $subscribers_active = 2; }

	// verificam daca nu avem deja un subscriber cu email-ul dat
	// pt user-ul caruia i s-a trimis email
	$query = "SELECT * 
				FROM subscribers
				WHERE 
					subscribers_user_id = '$user_id' AND
					subscribers_email = '$email' ";
	$db->query($query);

	if ($db->num_rows() == 0)
	{
		// nu avem inca un subscris cu email-ul dat pt user-ul dat
		// adaugam subscrisul
		$query = "INSERT INTO subscribers (
					subscribers_user_id, 
					subscribers_name, 
					subscribers_email,
					subscribers_trouble_mailing,
					subscribers_active,
					subscribers_came_from,
					subscribers_address,
					subscribers_city,
					subscribers_state,
					subscribers_zip,
					subscribers_country,
					subscribers_wheredidhear,
					subscribers_ip,
					subscribers_join_date
					) VALUES (
					'$user_id', 
					'$name', 
					'$email', 
					'0', 
					'$subscribers_active', 
					'$came_from',
					'$address',
					'$city',
					'$state',
					'$zip',
					'$country',
					'$where_did_hear',
					'$ip',
					NOW())";
		$db->query($query);

		// gasim id-ul subscrisului numai ce adaugat
		$subscriber_id = mysql_insert_id($db->link_id());

		if ($subscribers_active == 1) {
			// trimitem toate mesajele instant noului subscris
			$query = "SELECT * 
					FROM messages 
					WHERE 
						messages_user_id = '$user_id' AND
						messages_interval = '0' AND
						messages_disabled = '0' ";
			$db->query($query);

			while ($db->next_record())
			{
				SendMessage2Subscriber($db->f("messages_id"), $subscriber_id);
			}
		} else { require("confirm_email.php"); }
	}
}
	
	$template = new Template("templates/subscription_done");
	$template->set_file("tpl_subscription_done", "subscription_done.tpl");
	if (isset($redirect) && trim($redirect) <> "") {
		$redirect = trim($redirect);
		if (!eregi("^https?://", $redirect)) $redirect = "http://$redirect";
		$template->set_var("REDIRECT","<meta HTTP-EQUIV=\"REFRESH\" CONTENT=\"30; URL=$redirect\">"); 
		$template->set_var("CONTINUE","<a href=\"$redirect\">Please Click Here To Continue</a>"); 
	}

	$template->parse("output", "tpl_subscription_done");
	$template->p("output");
?>
